VPS侦探论坛

 找回密码
 注册
查看: 1089|回复: 2

安装php7.4.30 报错

[复制链接]
发表于 2023-3-26 18:08:11 | 显示全部楼层 |阅读模式

debian11 安装php7.4.30 时候报错
我看了下错误日志提示如下
E: Package 'libpng12-0' has no installation candidateE: Package 'libpng12-dev' has no installation candidate但是我搜索教程 说 Debian 11 (Bullseye)不再支持libpng12-0,因为它已被替换为libpng16-16或更高版本。怎么解决呢?
美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2023-3-26 22:25:41 | 显示全部楼层


已自行解决
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2023-3-27 09:14:59 | 显示全部楼层

这并不是报错也不影响php安装,这是用来适配老旧系统版本的
美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2024-6-16 18:18 , Processed in 0.027048 second(s), 19 queries .

Powered by Discuz! X3.4

© 2001-2023 Discuz! Team.

快速回复 返回顶部 返回列表